---
title: VeRO API
description: "The eBay **VeRO API** allows owners of an intellectual property, such as a copyright or trademark, to report eBay listings that infringe on their intellectual property rights. **Important!** The VeRO API is only available to members of the Verified Rights Owner (VeRO) Program."
api_version: 1.0.0
api_name: vero_api
api_type: REST
api_group: sell/vero_api
source_url:
  html: https://developer.ebay.com/develop/api/sell/vero_api
  md: https://developer.ebay.com/develop/api/sell/vero_api.md
---

# VeRO API API

The eBay **VeRO API** allows owners of an intellectual property, such as a copyright or trademark, to report eBay listings that infringe on their intellectual property rights.

**Important!** The VeRO API is only available to members of the Verified Rights Owner (VeRO) Program.

## API Information

**Title:** Vero Public API's
**Version:** 1.0.0
**Description:** The VeRO API has methods that allow owners of an intellectual property to report eBay listings that infringe on their intellectual property rights. It contains methods to report a listing, retrieve supported VeRO reason codes, and retrieve the status of reported items.
**Base Path:** /commerce/vero/v1

## API Methods

The following API methods are available:

### getVeroReasonCode

#### GET /vero_reason_code/{vero_reason_code_id}
**Description:** **Important!** You must be a member of the Verified Rights Owner (VeRO) Program to use this call.

  
This method is used to retrieve the details of a specific VeRO reason code, including a description of the code and the marketplace associated with the code.  
  
The **vero\_reason\_code\_id** of the VeRO reason code for which to retrieve details is required as a path parameter.
**Parameters:**
- **vero_reason_code_id** (string) *required*
  - This path parameter specifies the unique identifier of the VeRO reason code that is to be retrieved.  
  
Use the [getVeroReasonCodes](/develop/api/sell/vero_api#sell-vero_api-vero_reason_code-getveroreasoncodes) method to retrieve supported VeRO reason code IDs.
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope/commerce.vero`


### getVeroReasonCodes

#### GET /vero_reason_code
**Description:** **Important!** You must be a member of the Verified Rights Owner (VeRO) Program to use this call.

  
This method is used to retrieve the details of an array of VeRO reason codes. This information includes the descriptions of each code, as well as the marketplace associated with each code.  
  
If the **X-EBAY-C-MARKETPLACE-ID** header is present, only VeRO reason codes for that specific site will be returned. If this header is not included, all reason codes for all sites are returned.
**Parameters:**
- **X-EBAY-C-MARKETPLACE-ID** (string)
  - This header identifies the eBay marketplace for which to retrieve VeRO reason codes. If this header is used, only VeRO reason codes for the specified marketplace will be returned in the response.  
  
See [MarketplaceIdEnum](/develop/api/sell/vero_api#sell-vero_api-vero_reason_code-getveroreasoncodes.veroreasoncode.marketplaceid) for a list of supported values.
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope/commerce.vero`


### createVeroReport

#### POST /vero_report
**Description:** **Important!** You must be a member of the Verified Rights Owner (VeRO) Program to use this call.

  
This method can be used to create a VeRO report for a listing. VeRO reports can be used to report items that your copyright, trademark, or other intellectual property rights.  
  
The **itemId** of the item being reported must be provided in the request, as well as the **veroReasonCodeId** of the claimed infringement.  
  
You can report one or more items at a time using this method. A maximum of 150 items can be reported using this method.
**Parameters:**
- **Content-Type** (string) *required*
  - This header indicates the format of the request body provided by the client. Its value should be set to **application/json**.  
  
For more information, refer to [HTTP request headers](/api-docs/static/rest-request-components.html#HTTP).
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope/commerce.vero`


### getVeroReport

#### GET /vero_report/{vero_report_id}
**Description:** **Important!** You must be a member of the Verified Rights Owner (VeRO) Program to use this call.

  
This method can be used to retrieve status information about a VeRO report you have submitted to eBay for copyright, trademark, or other intellectual property rights infringement.  
  
The **vero\_report\_id** path parameter is used to specify the eBay report for which to retrieve status information.
**Parameters:**
- **includeItemDetails** (string)
  - Include this query and set it to `true` if you want to retrieve the **reportedItemDetails** container in the response, which contains item-level status information. This container may be helpful if you have reported violations on more than one eBay item in the report.  
  
By default, this boolean is set to `false`.
- **vero_report_id** (string) *required*
  - This path parameter specifies the unique identifier of the VeRO report being retrieved.  
  
This value is returned when creating a VeRO report through the [createVeroReport](/develop/api/sell/vero_api#sell-vero_api-vero_report-createveroreport) method.
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope/commerce.vero`


### getVeroReportItems

#### GET /vero_report_items
**Description:** **Important!** You must be a member of the Verified Rights Owner (VeRO) Program to use this call.

  
This method can be used to retrieve status information about one or more VeRO reported items you have submitted.  
  
Without the use of any query parameters, the default behavior of this method is to return the status of all VeRO reported items submitted by the seller during the last two years. Use the **itemId** query parameter to see a specific reported item, and use the **filter** query to retrieve the status of reported items submitted within a specific date range. Pagination is also available to limit the number of reported items that are retrieved per page of data.
**Parameters:**
- **filter** (string)
  - This query parameter can be used to filter the result set by a date range. Only items reported within the specified time period will be returned.  
  
This parameter will be ignored if **itemId** has been specified.  
  
**Format:** `YYYY-MM-DD HH:MM:SS`  
  
**Example**: `reportSubmittedDate:[2024-11-14T07:47:48Z..2024-12-14T07:47:48Z]`.
- **itemId** (string)
  - This query parameter specifies the unique identifier of an eBay listing. Only the specified reported item will be returned.
- **limit** (string)
  - The maximum number of entries that can be returned on each page of the paginated response. Use this parameter in conjunction with the **offset** parameter to control the pagination of the output.  
  
**Note:** This feature employs a zero-based list, where the first item in the list has an offset of `0`.  
For example, if **offset** is set to `10` and **limit** is set to `10`, the call retrieves entries 11 through 20 from the result set.  
  
If this parameter is omitted, the default value is used.  
  
**Default:** 25
- **offset** (string)
  - The number of reports to skip in the result set before returning the first report in the paginated response. Combine offset with the **limit** query parameter to control the reports returned in the response. For example, if you supply an **offset** of `0` and a **limit** of `10`, the first page of the response contains the first 10 reports from the complete list of reports retrieved by the call. If this query parameter is not set, the default value is used and the first page of reports is returned.  
  
**Default:** 0
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/scope/commerce.vero`


## Error Codes

The following error codes may be returned by this API:

### REQUEST Errors

#### 235001 - API_VERO
**Description:** The veroReasonCodeId was not found.

#### 235012 - API_VERO
**Description:** Number of reported items exceeds maximum limit of 150 items.

#### 235013 - API_VERO
**Description:** The itemId is required for this call.

#### 235014 - API_VERO
**Description:** The veroReasonCodeId is required for this call.

#### 235015 - API_VERO
**Description:** At least one country is required for the specified reason code.

#### 235016 - API_VERO
**Description:** The Regions specified are not allowed

#### 235017 - API_VERO
**Description:** The patent is required for this call.

#### 235019 - API_VERO
**Description:** Please verify brand, it should not exceed 50 characters.

#### 235020 - API_VERO
**Description:** The detailedMessage is required for the specified reason code.

#### 235021 - API_VERO
**Description:** Please verify detailedMessage, it should not exceed 1000 characters.

#### 235022 - API_VERO
**Description:** Please verify messageToSeller, it should not exceed 1000 characters.

#### 235023 - API_VERO
**Description:** Please check report, there are duplicate item reports. A duplicate report is two report on the same itemId and veroReasonCodeId combination in one packet. The same combination itemId and veroReasonCodeId can be reported in a different packet.

#### 235024 - API_VERO_REPORT
**Description:** At least one item is required for this call.

#### 235018 - API_VERO
**Description:** Please verify patent, it should not exceed 15 characters.

#### 235010 - API_VERO
**Description:** Not authorized to perform this operation. Vero report creator and requester are different.

#### 235011 - API_VERO
**Description:** The veroReportId was not found.

#### 235005 - API_VERO
**Description:** A filter supplied in the request is invalid: {filterName}

#### 235006 - API_VERO
**Description:** The itemId was not found.

#### 235007 - API_VERO
**Description:** Please check the date range.

#### 235009 - API_VERO
**Description:** The time interval specified is greater than what is allowed (90 days is the maximum).

### APPLICATION Errors

#### 235000 - API_VERO
**Description:** There was a problem with an eBay internal system or process.

## Types

### CountryCodeEnum
**Description:** This enumerated type lists the two-letter [ISO 3166-1](<https://www.iso.org/iso-3166-country-codes.html >) country code representing supported countries. | - **AD**: Andorra - **AE**: United Arab Emirates - **AF**: Afghanistan - **AG**: Antigua and Barbuda - **AI**: Anguilla - **AL**: Albania - **AM**: Armenia - **AN**: Netherlands Antilles - **AO**: Angola - **AQ**: Antarctica - **AR**: Argentina - **AS**: American Samoa - **AT**: Austria - **AU**: Australia - **AW**: Aruba - **AX**: Aland Islands - **AZ**: Azerbaijan - **BA**: Bosnia and Herzegovina - **BB**: Barbados - **BD**: Bangladesh - **BE**: Belgium - **BF**: Burkina Faso - **BG**: Bulgaria - **BH**: Bahrain - **BI**: Burundi - **BJ**: Benin - **BL**: Saint Barthelemy - **BM**: Bermuda - **BN**: Brunei Darussalam - **BO**: Bolivia - **BQ**: Bonaire, Sint Eustatius, and Saba - **BR**: Brazil - **BS**: Bahamas - **BT**: Bhutan - **BV**: Bouvet Island - **BW**: Botswana - **BY**: Belarus - **BZ**: Belize - **CA**: Canada - **CC**: Cocos (Keeling) Islands - **CD**: The Democratic Republic of the Congo - **CF**: Central African Republic - **CG**: Congo - **CH**: Switzerland - **CI**: Cote d'Ivoire - **CK**: Cook Islands - **CL**: Chile - **CM**: Cameroon - **CN**: China - **CO**: Colombia - **CR**: Costa Rica - **CU**: Cuba - **CV**: Cape Verde - **CW**: Curacao - **CX**: Christmas Island - **CY**: Cyprus - **CZ**: Czech Republic - **DE**: Germany - **DJ**: Djibouti - **DK**: Denmark - **DM**: Dominica - **DO**: Dominican Republic - **DZ**: Algeria - **EC**: Ecuador - **EE**: Estonia - **EG**: Egypt - **EH**: Western Sahara - **ER**: Eritrea - **ES**: Spain - **ET**: Ethiopia - **FI**: Finland - **FJ**: Fiji - **FK**: Falkland Islands (Malvinas) - **FM**: Federated States of Micronesia - **FO**: Faroe Islands - **FR**: France - **GA**: Gabon - **GB**: United Kingdom - **GD**: Grenada - **GE**: Georgia - **GF**: French Guiana - **GG**: Guernsey - **GH**: Ghana - **GI**: Gibraltar - **GL**: Greenland - **GM**: Gambia - **GN**: Guinea - **GP**: Guadeloupe - **GQ**: Equatorial Guinea - **GR**: Greece - **GS**: South Georgia and the South Sandwich Islands - **GT**: Guatemala - **GU**: Guam - **GW**: Guinea-Bissau - **GY**: Guyana - **HK**: Hong Kong - **HM**: Heard Island and McDonald Islands - **HN**: Honduras - **HR**: Croatia - **HT**: Haiti - **HU**: Hungary - **ID**: Indonesia - **IE**: Ireland - **IL**: Israel - **IM**: Isle of Man - **IN**: India - **IO**: British Indian Ocean Territory - **IQ**: Iraq - **IR**: Islamic Republic of Iran - **IS**: Iceland - **IT**: Italy - **JE**: Jersey - **JM**: Jamaica - **JO**: Jordan - **JP**: Japan - **KE**: Kenya - **KG**: Kyrgyzstan - **KH**: Cambodia - **KI**: Kiribati - **KM**: Comoros - **KN**: Saint Kitts and Nevis - **KP**: Democratic People's Republic of Korea - **KR**: Republic of Korea - **KW**: Kuwait - **KY**: Cayman Islands - **KZ**: Kazakhstan - **LA**: Lao People's Democratic Republic - **LB**: Lebanon - **LC**: Saint Lucia - **LI**: Liechtenstein - **LK**: Sri Lanka - **LR**: Liberia - **LS**: Lesotho - **LT**: Lithuania - **LU**: Luxembourg - **LV**: Latvia - **LY**: Libyan Arab Jamahiriya - **MA**: Morocco - **MC**: Monaco - **MD**: Republic of Moldova - **ME**: Montenegro - **MF**: Saint Martin (French part) - **MG**: Madagascar - **MH**: Marshall Islands - **MK**: The Former Yugoslav Republic of Macedonia - **ML**: Mali - **MM**: Myanmar - **MN**: Mongolia - **MO**: Macao - **MP**: Northern Mariana Islands - **MQ**: Martinique - **MR**: Mauritania - **MS**: Montserrat - **MT**: Malta - **MU**: Mauritius - **MV**: Maldives - **MW**: Malawi - **MX**: Mexico - **MY**: Malaysia - **MZ**: Mozambique - **NA**: Namibia - **NC**: New Caledonia - **NE**: Niger - **NF**: Norfolk Island - **NG**: Nigeria - **NI**: Nicaragua - **NL**: Netherlands - **NO**: Norway - **NP**: Nepal - **NR**: Nauru - **NU**: Niue - **NZ**: New Zealand - **OM**: Oman - **PA**: Panama - **PE**: Peru - **PF**: French Polynesia. Includes Tahiti - **PG**: Papua New Guinea - **PH**: Philippines - **PK**: Pakistan - **PL**: Poland - **PM**: Saint Pierre and Miquelon - **PN**: Pitcairn - **PR**: Puerto Rico - **PS**: Palestinian territory Occupied - **PT**: Portugal - **PW**: Palau - **PY**: Paraguay - **QA**: Qatar - **RE**: Reunion - **RO**: Romania - **RS**: Serbia - **RU**: Russian Federation - **RW**: Rwanda - **SA**: Saudi Arabia - **SB**: Solomon Islands - **SC**: Seychelles - **SD**: Sudan - **SE**: Sweden - **SG**: Singapore - **SH**: Saint Helena - **SI**: Slovenia - **SJ**: Svalbard and Jan Mayen - **SK**: Slovakia - **SL**: Sierra Leone - **SM**: San Marino - **SN**: Senegal - **SO**: Somalia - **SR**: Suriname - **ST**: Sao Tome and Principe - **SV**: El Salvador - **SX**: Sint Maarten (Dutch part) - **SY**: Syrian Arab Republic - **SZ**: Swaziland - **TC**: Turks and Caicos Islands - **TD**: Chad - **TF**: French Southern Territories - **TG**: Togo - **TH**: Thailand - **TJ**: Tajikistan - **TK**: Tokelau - **TL**: Timor-Leste - **TM**: Turkmenistan - **TN**: Tunisia - **TO**: Tonga - **TR**: Turkey - **TT**: Trinidad and Tobago - **TV**: Tuvalu - **TW**: Taiwan - **TZ**: Tanzania - **UA**: Ukraine - **UG**: Uganda - **UM**: United States Minor Outlying Islands - **US**: United States - **UY**: Uruguay - **UZ**: Uzbekistan - **VA**: Holy See (Vatican City state) - **VC**: Saint Vincent and the Grenadines - **VE**: Venezuela - **VG**: British Virgin Islands - **VI**: the U.S. Virgin Islands - **VN**: Vietnam - **VU**: Vanuatu - **WF**: Wallis and Futuna - **WS**: Samoa - **YE**: Yemen - **YT**: Mayotte - **ZA**: South Africa - **ZM**: Zambia - **ZW**: Zimbabwe
**Type:** object

### MarketplaceIdEnum
**Description:** This type contains enumerated values of the standard codes that represent each of the eBay marketplaces. | - **EBAY_US**: Indicates the eBay marketplace for the United States. - **EBAY_CA**: Indicates the eBay marketplace for Canada.  
  
**Note:** When targeting the French locale of the Canadian marketplace, add the **Accept-Language** request header and pass in `fr-CA`. If this locale is not specified, the language will default to English. - **EBAY_GB**: Indicates the eBay marketplace for Great Britain (United Kingdom). - **EBAY_AU**: Indicates the eBay marketplace for Australia. - **EBAY_AT**: Indicates the eBay marketplace for Austria. - **EBAY_BE**: Indicates the eBay marketplace for Belgium.  
  
**Note:** When targeting the French locale of the Belgium marketplace, add the **Accept-Language** request header and pass in `fr-BE`. If this locale is not specified, the language will default to Dutch. - **EBAY_DE**: Indicates the eBay marketplace for Germany. - **EBAY_IT**: Indicates the eBay marketplace for Italy. - **EBAY_NL**: Indicates the eBay marketplace for The Netherlands. - **EBAY_ES**: Indicates the eBay marketplace for Spain. - **EBAY_CH**: Indicates the eBay marketplace for Switzerland. - **EBAY_TW**: Indicates the eBay marketplace for Taiwan. - **EBAY_CZ**: Reserved for future use. - **EBAY_DK**: Reserved for future use. - **EBAY_FI**: Reserved for future use. - **EBAY_FR**: Indicates the eBay marketplace for France. - **EBAY_GR**: Reserved for future use. - **EBAY_HK**: Indicates the eBay marketplace for Hong Kong. - **EBAY_HU**: Reserved for future use. - **EBAY_IN**: Indicates the eBay marketplace for India.  
  
**Note**: eBay India is no longer a functioning eBay marketplace. - **EBAY_ID**: Reserved for future use. - **EBAY_IE**: Indicates the eBay marketplace for Indicates the eBay marketplace for Ireland. - **EBAY_IL**: Reserved for future use. - **EBAY_MY**: Indicates the eBay marketplace for Malaysia. - **EBAY_NZ**: Reserved for future use.. - **EBAY_NO**: Reserved for future use. - **EBAY_PH**: Indicates the eBay marketplace for the Philippines. - **EBAY_PL**: Indicates the eBay marketplace for Poland. - **EBAY_PT**: Reserved for future use. - **EBAY_PR**: Reserved for future use. - **EBAY_RU**: Reserved for future use. - **EBAY_SG**: Indicates the eBay marketplace for Singapore. - **EBAY_ZA**: Reserved for future use. - **EBAY_SE**: Reserved for future use. - **EBAY_TH**: Indicates the eBay marketplace for Thailand. - **EBAY_VN**: Indicates the eBay marketplace for Vietnam. - **EBAY_CN**: Reserved for future use. - **EBAY_JP**: Reserved for future use. - **EBAY_PE**: Reserved for future use. - **EBAY_HALF_US**: No longer used. - **EBAY_MOTORS_US**: Indicates the parent category for "Auto Parts and Vehicles" on the EBAY\_US marketplace
**Type:** object

### ReasonCodeDetailType
**Description:** This type defines the brief and detailed description of a VeRO infringement, as well as the ID associated with the infringement.
**Type:** object

**Properties:**
- **briefText** (string)
  - The short description of the infringement associated with the reason code.
- **detailedText** (string)
  - The long description of the infringement associated with the reason code.
- **veroReasonCodeId** (string)
  - The unique identifier of a VeRO reason code.

### ReportItemDetails
**Description:** This type defines the details of an item being reported for violating a product owner's copyright, trademark, or intellectual property rights.
**Type:** object

**Properties:**
- **brand** (string)
  - The brand name of the item being reported for VeRO violation.  
  
**Max length:** 50 characters
- **copyEmailToRightsOwner** (boolean)
  - If the VeRO Program member wants a copy of the Notice of Claimed Infringement (NOCI) document sent to their email address, this field should be included in the request and set to `true`. This same document is automatically sent to the seller of the reported item.  
  
As this field defaults to `true`, the report will be automatically emailed if this field is omitted.  
  
**Default:** true
- **countries** (array)
  - If the infringement type stated in the **VeroReasonCodeId** has anything to do with which country the item is being shipped to, each country that would trigger this infringement type should be specified in this comma-delimited array.  
  
This field is required when the **veroReasonCodeId** is `9037` (Item(s) is unlawful importation of product bearing trademark).
- **detailedMessage** (string)
  - This field is used to provide further information about the VeRO reason code.  
  
This field is required when the **veroReasonCodeId** is `9052` or `7052` (Other - Provide details information in additional information box below).  
  
**Max length:** 1000 characters
- **itemId** (string)
  - The unique identifier of the listing being reported for the alleged infringement.
- **messageToSeller** (string)
  - This field is used by the VeRO Program member to provide more details to the seller as to why the item is being reported for the alleged infringement.  
  
**Max length:** 1000 characters
- **patent** (string)
  - This field is used to specify the number of a product patent that is being violated.  
  
This field is required when the **veroReasonCodeId** is `9048` (Item(s) infringes a valid patent).  
  
**Max length:** 15 characters
- **regions** (array)
  - If the infringement type stated in the **veroReasonCodeId** has anything to do with which geographical region the item is being shipped to, each region that would trigger this infringement type should be specified in this comma-delimited array.
- **veroReasonCodeId** (string)
  - The unique identifier for the type of claimed infringement.  
  
Use [getVeroReasonCodes](/develop/api/sell/vero_api#sell-vero_api-vero_reason_code-getveroreasoncodes) to retrieve a list of valid reason codes for a given eBay site.

### ReportStatusResponse
**Description:** This type defines the response fields of the **getVeroReport** method.
**Type:** object

**Properties:**
- **reportedItemDetails** (array)
  - This array returns the status for each eBay item that was included as part of the report.  
  
This array is only returned if the **includeItemDetails** query parameter is set to `true`.
- **veroReportId** (string)
  - The unique packet identifier of the VeRO report.
- **veroReportStatus** (VeroReportStatusEnum)
  - The processing status of the requested VeRO report.

### ReportedItem
**Description:** This type defines the item ID and status of a VeRO report. If applicable, a reason for report failure is also returned.
**Type:** object

**Properties:**
- **itemId** (string)
  - The unique identifier of the listing that is being reported for copyright, trademark, or intellectual right infringement.
- **reasonForFailure** (string)
  - This text explanation is submitted by eBay when the submission of a VeRO Report has failed or was blocked.  
  
This field is conditionally returned if the **status** value of the report is `ClarificationRequired` or `SubmissionFailed`.
- **status** (VeroReportedItemStatusEnum)
  - The current status of the VeRO reported item.

### VeroReasonCode
**Description:** This type is used to define the details of a VeRO reason code for a specific site.
**Type:** object

**Properties:**
- **marketplaceId** (MarketplaceIdEnum)
  - The eBay site for which reason code details are returned.
- **reasonCodeDetails** (array)
  - This container includes both brief and detailed text descriptions for the VeRO program intellectual property right infringement reason, as well as the ID for the reason code.

### VeroReasonCodeDetailResponse
**Description:** This type defines the response fields returned in the **getCeroReasonCodes** method.
**Type:** object

**Properties:**
- **veroReasonCodes** (array)
  - This array provides a list of VeRO reason codes, as well as the ID and details of each code, based on the input criteria.  
  
If a **X-EBAY-C-MARKETPLACE-ID** header is used, only VeRO reason codes for that specific site will be returned. If this header is not included, all reason codes for all sites are returned.

### VeroReasonCodeResponse
**Description:** This type defines the response payload of the **getVeroReasonCode** method.
**Type:** object

**Properties:**
- **marketplaceId** (MarketplaceIdEnum)
  - The eBay site for which reason code details are returned.
- **reasonCodeDetails** (ReasonCodeDetailType)
  - This container includes both brief and detailed text descriptions for the VeRO program intellectual property right infringement reason, as well as the ID for the reason code

### VeroReportItemsRequest
**Description:** This type defines the request fields used in the **createVeroReport** method.
**Type:** object

**Properties:**
- **reportItems** (array)
  - This array is used to report one or more eBay items that are allegedly violating the product owner's copyright, trademark, or intellectual property rights.  
  
The **itemId** and **veroReasonCodeId** fields are required for each reported violation.  
  
**Note:** You can report the same item more than once if a different reason code is used each time.

### VeroReportItemsResponse
**Description:** This type defines the response fields used in the **createVeroReport** method.
**Type:** object

**Properties:**
- **veroReportId** (string)
  - The unique identifier of the VeRO report that the item violations have been added to.  
  
**Note:** Users should keep track of the returned **veroReportId**, as there is no programmatic way to retrieve this value at this time.
- **veroReportStatus** (VeroReportStatusEnum)
  - The processing status of the VeRO report.

### VeroReportStatusEnum
**Description:** This enumerated type defines the values that represent the status of a VeRO Report packet. | - **RECEIVED**: This enum value indicates that the VeRO Report packet has been received by eBay. - **IN_PROCESS**: This enum value indicates that eBay is in the process of reviewing the VeRO Report packet. - **PROCESSED**: This enum value indicates that the VeRO Report packed has been processed by eBay.
**Type:** object

### VeroReportStatusResponse
**Description:** This type defines the response fields for the **getVeroReports** method.
**Type:** object

**Properties:**
- **href** (string)
  - The URL to the current page of the VeRO reported item results.
- **limit** (integer)
  - The value of the **limit** parameter submitted in the request.
- **next** (string)
  - The URI for the next page of results. This value is returned if there is an additional page of results to return from the result set
- **offset** (integer)
  - The value off the **offset** parameter submitted in the request.
- **prev** (string)
  - The URI for the previous page of results. This is returned if there is a previous page of results from the result set.
- **reportedItemDetails** (array)
  - This array returns the item ID and statuses of the reported items being returned.
- **total** (integer)
  - This is the total number of records that match the input criteria.

### VeroReportedItemStatusEnum
**Description:** This enumerated type defines the status of a VeRO reported item. | - **NONE**: This enum value indicates that there is no VeRO report request for the item. - **RECEIVED**: This enum value indicates that the VeRO report request for the item has been received by eBay. - **SUBMITTED**: This enum value indicates that the VeRO report request for the item has been submitted to eBay. - **SUBMISSION_FAILED**: This enum value indicates that the VeRO report request for the item has failed. - **REMOVED**: This enum value indicates that the user has reported an inactive item. - **CLARIFICATION_REQUIRED**: This enum value indicates that the VeRO report request for the item has been received by eBay, but additional clarification is needed before eBay can end the item.
**Type:** object

### WorldRegionEnum
**Description:** This enumerated type contains of list of world regions. | - **AFRICA**: This enumeration value indicates the world region is Africa. - **AMERICAS**: This enumeration value indicates the world region is the Americas. - **ASIA**: This enumeration value indicates the world region is Asia. - **CARIBBEAN**: This enumeration value indicates the world region is the Caribbean. - **EUROPE**: This enumeration value indicates the world region is Europe. - **EUROPE_UNION**: This enumeration value indicates the world region is the European Union. - **LATIN_AMERICA**: This enumeration value indicates the world region is Latin America. - **MIDDLE_EAST**: This enumeration value indicates the world region is the Middle East. - **NORTH_AMERICA**: This enumeration value indicates the world region is North America. - **OCEANIA**: This enumeration value indicates the world region is Oceania. - **SOUTH_AMERICA**: This enumeration value indicates the world region is South America. - **WORLDWIDE**: This enumeration value indicates the world region is world wide.
**Type:** object

## Rate Limits

See [API Call Limits](https://developer.ebay.com/develop/get-started/api-call-limits) on the eBay Developer Program.

## Resources

### Documentation

- [eBay Developer Program](https://developer.ebay.com/)
- [API Documentation](https://developer.ebay.com/develop/api/)
- [SDKs and Widgets](https://developer.ebay.com/develop/sdks-and-widgets)
- [Developer Community Forum](https://community.ebay.com/t5/Developer-Groups/ct-p/developergroup)

### Tools

- [API Explorer](https://developer.ebay.com/my/api_test_tool)
- [GraphQL Explorer](https://developer.ebay.com/my/graphql_explorer)

### Support

- [Developer Support](https://developer.ebay.com/support/)
- [API Status](https://developer.ebay.com/support/api-status)
- [Release Notes](https://developer.ebay.com/develop/api/release_notes/)

---
*Generated on 2026-06-11T14:36:29.158Z*